package net.nourdine.jp.build;

import net.nourdine.jp.io.FileContentManager;

public class JsFile extends Buildable {

   private String path;

   public JsFile(String path) {
      this.path = path;
   }

   @Override
   public String build(boolean shallIMinify) {
      String code = FileContentManager.getContent(path);
      if (shallIMinify) {
         code = minify(code);
      }
      return code;
   }
}
